/***
	@author Derek Callaway <super@udel.edu> -- S@IRC
	@version 1.0
	@param s1 Internet address; IP or DNS
	@return zero for IP and nonzero for DNS 

	This function distinguishes the difference between a DNS and numeric
	internet address in the range of each of their respective syntaxes.
*/

#include<string.h>
#include<ctype.h>
#include"randsrc.h"

int randsrc_isdns(const char*const s1){
	char*p;
	if(!(p=strrchr(s1,'.')))
		return 0;
	if(isalpha(*(p+1)))
		return 1;
	return 0;
}
